# $Revision: 1.9 $, $Date: 2001/12/06 09:38:43 $
Summary:	A handy syslog file(s) manipulation/monitoring/parsing tool
Summary(pl):	Porczne narzdzie do manipulowania/monitorowania/parsowania plikw sysloga
Name:		logtool
Version:	1.1.0
Release:	3
License:	GPL
Group:		Applications/Text
Group(de):	Applikationen/Text
Group(pl):	Aplikacje/Tekst
Source0:	http://www.xjack.org/logtool/logtool/%{name}-%{version}.tar.gz
Patch0:		%{name}-ac_fixes.patch
URL:		http://www.xjack.org/logtool/
BuildRequires:	autoconf
BuildRequires:	automake
Buildroot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir /etc/logtool

%description
Logtool is a handy little tool for manipulation/monitoring/parsing of
syslog (and syslog-like) files. It produces output in ANSI, ASCII,
CSV, HTML format, and is easily configured to your needs via the
/etc/logtool/* files. It is suitable for use in generating easy to
read logfile reports, webpages, and online monitoring of logfiles.

%description -l pl
Logtool jest porcznym narzdziem do obrabiania/monitorowania/
parsowania plikw sysloga i podobnych. Moe produkowa wyniki w
postaci ANSI, ASCII, CSV, HTML; jest atwo konfigurowalny do potrzeb
poprzez pliki /etc/logtool/*. Nadaje si do generowania atwych do
czytania raportw, stron WWW oraz monitorowania logw on-line.

%prep
%setup -q  
%patch0 -p1

%build
rm -f missing
aclocal
autoconf
automake -a -c || :
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_sysconfdir},%{_mandir}/man1}

install conf/{include,exclude,logtool.conf,green,yellow} \
	$RPM_BUILD_ROOT%{_sysconfdir}
install logtool/logtool logtail/logtail	$RPM_BUILD_ROOT%{_bindir}

ln -sf logtool $RPM_BUILD_ROOT%{_bindir}/lt

gzip -9nf README TODO CHANGES USAGE CREDITS doc/logtool.txt doc/examples/*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.gz doc/*.gz doc/examples
%attr(750,root,root) %dir %{_sysconfdir}
%config(noreplace) %verify(not size md5 mtime) %{_sysconfdir}/*
%attr(755,root,root) %{_bindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: logtool.spec,v $
Revision 1.9  2001/12/06 09:38:43  kloczek
- added ac_fixes patch and added regenerate ac files (now using %%configure
  is possible),
- updated Source url and added URL.

Revision 1.8  2001/12/06 08:32:36  qboosh
- pl description, cosmetics; release 3

Revision 1.7  2001/09/29 00:55:41  blues
- release 2
- configure2_13 used

Revision 1.6  2001/06/04 15:19:59  kloczek
- cosmetics.

Revision 1.5  2001/06/04 14:46:17  baggins
- really use rpmcflags

Revision 1.4  2001/03/29 09:34:58  mis
- autoupdated to 1.1.0

Revision 1.3  2001/02/07 11:30:01  wiget
small cleanup

Revision 1.2  2001/02/02 22:38:44  waszi
- partially rewrited

BAsed on spec by A.L.Lambert <al at 9b.com>
